<or> condition container.

Iterates over all conditions and returns true as soon as one evaluates to true.

author | Andreas Aderhold <andi@binarycloud.com> @copyright 2001,2002 THYRELL. All rights reserved @version $Id$ @access public @package phing.tasks.system.condition
version | $Id$
package | phing

### Methods

## addAvailable()

    addAvailable(\AvailableTask $a) : void

Inherited

inherited_from | \ConditionBase::addAvailable()

### Parameters

#### $a

## countConditions()

    countConditions()

Inherited

inherited_from | \ConditionBase::countConditions()

## createAnd()

    createAnd() : \AndCondition

Inherited

inherited_from | \ConditionBase::createAnd()

### Returns

`\AndCondition`

## createContains()

    createContains() : \ContainsCondition

Inherited

inherited_from | \ConditionBase::createContains()

### Returns

`\ContainsCondition`

## createEquals()

    createEquals() : \EqualsCondition

Inherited

inherited_from | \ConditionBase::createEquals()

### Returns

`\EqualsCondition`

## createIsFalse()

    createIsFalse() : \IsFalseCondition

Inherited

inherited_from | \ConditionBase::createIsFalse()

### Returns

`\IsFalseCondition`

## createIsSet()

    createIsSet() : \IsSetCondition

Inherited

inherited_from | \ConditionBase::createIsSet()

### Returns

`\IsSetCondition`

## createIsTrue()

    createIsTrue() : \IsTrueCondition

Inherited

inherited_from | \ConditionBase::createIsTrue()

### Returns

`\IsTrueCondition`

## createNot()

    createNot() : \NotCondition

Inherited

inherited_from | \ConditionBase::createNot()

### Returns

`\NotCondition`

## createOr()

    createOr() : \OrCondition

Inherited

inherited_from | \ConditionBase::createOr()

### Returns

`\OrCondition`

## createOs()

    createOs() : \OsCondition

Inherited

inherited_from | \ConditionBase::createOs()

### Returns

`\OsCondition`

## createReferenceExists()

    createReferenceExists() : \ReferenceExistsCondition

Inherited

inherited_from | \ConditionBase::createReferenceExists()

### Returns

`\ReferenceExistsCondition`

## Creates the object for the child element

    customChildCreator(string $elementName, \Project $project) : \Condition

Inherited

inherited_from | \ConditionBase::customChildCreator()

### Parameters

#### $elementName

`string`

#### $project

`\Project`

### Exceptions

`\BuildException` |

### Returns

`\Condition`

## evaluate()

    evaluate() : boolean

### Exceptions

`\BuildException` |

### Returns

`boolean`

## getConditions()

    getConditions()

Inherited

inherited_from | \ConditionBase::getConditions()

## Required for IteratorAggregate

    getIterator()

Inherited

inherited_from | \ConditionBase::getIterator()

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \ConditionBase::getProject()

### Returns

`\Project`Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level)

Inherited

inherited_from | \ProjectComponent::log()
inherited_from | \ConditionBase::log()

### Parameters

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \ConditionBase::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

### Properties

##

    $conditions

Inherited

inherited_from | \ConditionBase::$$conditions

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \ConditionBase::$$project